<?php

namespace Drupal\Tests\node_order_by_term\Kernel;

/**
 * Tests module installation.
 *
 * @group node_order_by_term
 */
class NodeOrderByTermInstallTest extends NodeOrderByTermInstallTestBase {

  /**
   * Tests module installation.
   */
  public function testInstall() {
    $schema = $this->database->schema();

    $column_exists = $schema->fieldExists('taxonomy_index', 'weight');
    $this->assertTrue($column_exists);

    $index_exists = $schema->indexExists('taxonomy_index', 'weight');
    $this->assertTrue($index_exists);

    $extension_config = $this->container->get('config.factory')->getEditable('core.extension');
    $this->assertEquals($extension_config->get('module.node_order_by_term'), 5);
  }

}
